#ifndef _INPUTEVENTS_H_
#define _INPUTEVENTS_H_

#include "IEvent.h"
#include "InputHandler.h"

class ButtonInputEvent : public IEvent
{
	public:
	ButtonInputEvent(const int &key, const bool &bIsDown) : IEvent(), m_key(key), m_bIsDown(bIsDown) { m_eventName = cEventName; }
	~ButtonInputEvent() {}

	virtual HashString GetEventType() { return m_eventName; }
	int GetKey() { return m_key; }
	bool IsKeyDown() { return m_bIsDown; }

	static HashString cEventName;
	
	protected:
	HashString m_eventName;
	int m_key;
	bool m_bIsDown;
};

#endif
